# $Revision: 1.18 $, $Date: 2011/03/18 12:27:07 $
Summary:	Terminal emulator for framebuffer
Summary(pl.UTF-8):	Emulator terminala dla framebuffera
Name:		fbterm
Version:	1.7
Release:	1
License:	GPL v2
Group:		Applications/Graphics
Source0:	http://fbterm.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	e882c4cb38e7e46ce4378203509c552f
Patch0:		%{name}-font-lang.patch
URL:		http://code.google.com/p/fbterm/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gpm-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	ncurses
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FbTerm is a fast terminal emulator for linux with frame buffer device.
Features include:
- mostly as fast as terminal of linux kernel while accelerated
  scrolling is enabled on framebuffer device
- select font with fontconfig and draw text with freetype2, same as
  Qt/Gtk+ based GUI apps
- dynamicly create/destroy up to 10 windows initially running default
  shell
- record scrollback history for every window
- auto-detect text encoding with current locale, support double width
  scripts like Chinese, Japanese etc
- switch between configurable additional text encodings with hot keys
  on the fly
- copy/past selected text between windows with mouse when gpm server
  is running

%description -l pl.UTF-8
FbTerm jest szybkim emulatorem terminala działającym na linuksowym
framebufferze. Jego cechy to:
- prawie tak szybki jak terminal kernelowy, gdy akcelerowane
  przewijanie jest włączone
- wybór czcionki przez fontconfig i jej wyświetlanie przy użyciu
  freetype2, tak jak w aplikacjach Qt/Gtk+
- dynamiczne tworzenie/kasowanie do 10 okien z domyślną powłoką
- zapamiętywanie historii przewijania dla każdego okna
- autodetekcja kodowania tekstu, wsparcie dla znaków podwójnej
  szerokości jak chińskie czy japońskie, itd.
- przełączanie pomiędzy konfigurowalnymi dodatkowymi kodowaniami
  tekstu w locie przy użyciu klawiszy skrótu
- kopiowanie/wstawianie zaznaczonego tekstu pomiędzy oknami przy
  użyciu myszy, gdy serwer gpm jest uruchomiony

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}
tic -o terminfo terminfo/fbterm

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/terminfo/f
install terminfo/f/fbterm $RPM_BUILD_ROOT%{_datadir}/terminfo/f

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/postshell
-/sbin/setcap 'cap_sys_tty_config+ep' %{_bindir}/fbterm

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/terminfo/f/fbterm
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fbterm.spec,v $
Revision 1.18  2011/03/18 12:27:07  witekfl
- pl

Revision 1.17  2010/10/07 14:10:30  witekfl
- 1.7

Revision 1.16  2010/01/17 07:33:16  witekfl
- font-lang option removed
- also removed setting FC_LANG to en
- works
- rel 4

Revision 1.15  2010/01/16 17:46:43  witekfl
- added the font-lang.patch with the font-lang option
- rel 3

Revision 1.14  2010/01/16 16:34:44  witekfl
- added the fonts-pl.patch
- rel 2

Revision 1.13  2009/12/11 01:15:57  sparky
- BR: pkgconfig

Revision 1.12  2009/12/10 23:54:22  witekfl
- up to 1.6

Revision 1.11  2009/04/26 18:57:36  witekfl
- up to 1.5
- added the install.patch
- regenerated build files, added BRs

Revision 1.10  2009/04/11 12:24:41  qboosh
- sorted BRs

Revision 1.9  2009/03/14 14:07:09  witekfl
- up to 1.4
- added the terminfo entry for fbterm

Revision 1.8  2008/12/25 12:30:31  witekfl
- readded the 256_colors.patch
- rel 0.3

Revision 1.7  2008/12/21 11:31:44  witekfl
- set the cap_sys_tty_config capability after install to allow plain
  users use Shift-PageUp, etc. This will work if the kernel is built with
  the CONFIG_SECURITY_FILE_CAPABILITIES enabled.
- rel 0.2

Revision 1.6  2008/12/20 10:32:20  witekfl
- up to 1.3
- no 256 colors support
- rel 0.1

Revision 1.5  2008/12/16 20:47:28  witekfl
- added the input.patch
- rel 1

Revision 1.4  2008/12/16 18:59:57  witekfl
- added the wheelmouse.patch

Revision 1.3  2008/12/16 14:16:18  witekfl
- added 256_colors.patch
- rel 0.3

Revision 1.2  2008/12/15 19:23:06  witekfl
- added the directcolor.patch
- rel 0.2

Revision 1.1  2008/12/11 21:42:50  witekfl
- new
- I can only see colorful garbage on the screen
